### Method

# Fwupd JcatFile import_stream

since: 2.1.3

#### Declaration [src]

    gboolean
    fwupd_jcat_file_import_stream (
      FwupdJcatFile* self,
      GInputStream* istream,
      GError** error
    )

#### Description [src]

Imports a compressed FwupdJcat file from a file.

Available since: 2.1.3

#### Parameters

`istream`

  Type: `GInputStream`

  `GInputStream`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.